import lume from "lume/mod.ts";
import jsx from "lume/plugins/jsx.ts";
import nav from "lume/plugins/nav.ts";
import sass from "lume/plugins/sass.ts";
import feed from "lume/plugins/feed.ts";

const site = lume({
  location: new URL("https://www.fosterhangdaan.com/"),
  server: {
    port: 8080,
  },
});

site.ignore("README.md", "README.org", "LICENSE.txt");

site.copy("static", ".");

site.use(jsx());
site.use(nav());
site.use(sass());
site.use(feed({
  query: "type=post",
  output: [
    "/blog/feed.rss",
    "/blog/feed.json",
  ],
  info: {
    title: "Foster Hangdaan's Blog",
    description: "My thoughts and ideas.",
    date: new Date(),
    lang: "en",
  },
  items: {
    title: "=title",
    description: "=description",
  }
}));

export default site;
