---
title: GPG Key
description: Information about my public GPG key and how to obtain it.
---

> I do not use keyservers. A key claiming to be mine on a keyserver is definitely a fake.
{.warning}

> Before proceeding, I suggest reading up on GPG if you are unfamiliar with it.
> You can find more information about GPG on the [GnuPG official website](https://gnupg.org/){target="_blank"}.
{.info}

## Obtaining My Key

You can download my public key here: [Foster Hangdaan's Public Key](https://static.fosterhangdaan.com/foster-pubkey.asc){target="_blank"}{download}.

The key's fingerprint should match the one below:

```
pub   ed25519/E48D7F49A852F112 2023-07-14 [SC]
      Key fingerprint = DBD3 8E38 4B9E 1F4F 19F9  5BAE E48D 7F49 A852 F112
uid                 Foster Hangdaan <foster@hangdaan.email>
```

## Utilizing My Key

Once you've downloaded and imported my public key, you can use it to verify software and binaries released by me.

You can also use the key to encrypt emails you send to me. In that case, I would also need your public key so I can encrypt the emails I send back to you. The excellent [Email Self-Defense Guide by the Free Software Foundation](https://emailselfdefense.fsf.org/){target="_blank"} describes how this process works.
